%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Disk performance panel plugin for Xfce
Name:		xfce4-diskperf-plugin
Version:	2.8.0
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-diskperf-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-diskperf-plugin/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.16.0
BuildRequires:	pkgconfig(libxfce4ui-2)
Requires:	xfce4-panel >= 4.16.0

%description
Disk performance panel plugin for the Xfce Desktop Environment.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_libdir}/xfce4/panel/plugins/libdiskperf.so
%{_datadir}/xfce4/panel/plugins/diskperf.desktop


%changelog
* Tue Jul 15 2025 wally <wally> 2.8.0-1.mga10
+ Revision: 2255737
- new version 2.8.0

* Tue Jul 01 2025 umeabot <umeabot> 2.7.1-2.mga10
+ Revision: 2232844
- Mageia 10 Mass Rebuild

* Wed Dec 25 2024 wally <wally> 2.7.1-1.mga10
+ Revision: 2130036
- new version 2.7.1

* Tue Apr 05 2022 umeabot <umeabot> 2.7.0-2.mga9
+ Revision: 1844206
- Mageia 9 Mass Rebuild

* Sun Mar 06 2022 wally <wally> 2.7.0-1.mga9
+ Revision: 1789248
- new version 2.7.0

* Mon Dec 21 2020 wally <wally> 2.6.3-1.mga8
+ Revision: 1662608
- new version 2.6.3

* Sat Oct 31 2020 wally <wally> 2.6.2-3.mga8
+ Revision: 1640958
- add upstream patch to fix build with xfce4-panel 4.15
- update URL

* Sat Feb 15 2020 umeabot <umeabot> 2.6.2-2.mga8
+ Revision: 1528206
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 13 2019 wally <wally> 2.6.2-1.mga8
+ Revision: 1429155
- new version 2.6.2

* Wed Oct 03 2018 daviddavid <daviddavid> 2.6.1-2.mga7
+ Revision: 1317130
- add 2 patches to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 wally <wally> 2.6.1-1.mga7
+ Revision: 1161928
- new version 2.6.1
- switch to gtk3

* Wed Feb 17 2016 umeabot <umeabot> 2.5.5-3.mga6
+ Revision: 963521
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 wally <wally> 2.5.5-2.mga6
+ Revision: 881523
- fix debug symbols build

* Sun Jun 21 2015 wally <wally> 2.5.5-1.mga6
+ Revision: 837912
- new version 2.5.5

* Tue Mar 03 2015 wally <wally> 2.5.4-6.mga5
+ Revision: 817437
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 2.5.4-5.mga5
+ Revision: 748563
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 wally <wally> 2.5.4-4.mga5
+ Revision: 706911
- exclude plugin .so from provides
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.4-3.mga4
+ Revision: 520553
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.5.4-2.mga3
+ Revision: 386811
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 2.5.4-1.mga3
+ Revision: 265369
- new version 2.5.4

* Fri Jun 29 2012 wally <wally> 2.5.3-2.mga3
+ Revision: 265088
- add patch from upstream git to use transparency (mga#6620, xfce#8892)

* Mon May 28 2012 wally <wally> 2.5.3-1.mga3
+ Revision: 248548
- new version 2.5.3
- drop unneeded linking patch
- clean .spec

* Tue Jan 03 2012 wally <wally> 2.3.0-3.mga2
+ Revision: 190101
- add patch to fix linking
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 2.3.0-2.mga1
+ Revision: 54175
- imported package xfce4-diskperf-plugin


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-1mdv2011.0
+ Revision: 632779
- update to new version 2.3.0
- update url for Source0

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.0-6mdv2010.1
+ Revision: 543423
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 2.2.0-5mdv2010.0
+ Revision: 446013
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.0-4mdv2009.1
+ Revision: 349451
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.0-3mdv2009.1
+ Revision: 294993
- rebuild for new Xfce4.6 beta1

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 2.2.0-2mdv2009.0
+ Revision: 269785
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.0-1mdv2009.0
+ Revision: 195200
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.0-3mdv2008.1
+ Revision: 110117
- correct buildrequires
- do not package COPYING file
- spec file clean
- use upstream tarball name as a real name
- use upstream name

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.0-2mdv2008.0
+ Revision: 30477
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.0-1mdv2008.0
+ Revision: 30353
- own translation files
- new version

